<center><a href="ptime.c">Actual source code: ptime.c</a></center><br>

<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:18:49+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80"><a name="line1">  1: </a><font color="#A020F0">#include </font><font color="#666666">"petsc.h"</font><font color="#A020F0"> </font>
<a name="line2"> 2: </a> #include <A href="../../../include/petsctime.h.html">petsctime.h</A>

<a name="line6">  6: </a><font color="#B22222">/*@</font>
<a name="line7">  7: </a><font color="#B22222">   <A href="../../../docs/manualpages/Sys/PetscGetTime.html#PetscGetTime">PetscGetTime</A> - Returns the current time of day in seconds. This </font>
<a name="line8">  8: </a><font color="#B22222">   returns wall-clock time.  </font>

<a name="line10"> 10: </a><font color="#B22222">   Not Collective</font>

<a name="line12"> 12: </a><font color="#B22222">   Output Parameter:</font>
<a name="line13"> 13: </a><font color="#B22222">.  v - time counter</font>

<a name="line15"> 15: </a><font color="#B22222">   Usage: </font>
<a name="line16"> 16: </a><font color="#B22222">.vb</font>
<a name="line17"> 17: </a><font color="#B22222">      #include "petsctime.h"</font>

<a name="line19"> 19: </a><font color="#B22222">      PetscLogDouble v1,v2,elapsed_time;</font>
<a name="line20"> 20: </a><font color="#B22222">      <A href="../../../docs/manualpages/Sys/PetscGetTime.html#PetscGetTime">PetscGetTime</A>(&amp;v1);</font>
<a name="line21"> 21: </a><font color="#B22222">      .... perform some calculation ...</font>
<a name="line22"> 22: </a><font color="#B22222">      <A href="../../../docs/manualpages/Sys/PetscGetTime.html#PetscGetTime">PetscGetTime</A>(&amp;v2);</font>
<a name="line23"> 23: </a><font color="#B22222">      elapsed_time = v2 - v1;   </font>
<a name="line24"> 24: </a><font color="#B22222">.ve</font>

<a name="line26"> 26: </a><font color="#B22222">   Notes:</font>
<a name="line27"> 27: </a><font color="#B22222">   Requires explicitly including "petsctime.h"</font>

<a name="line29"> 29: </a><font color="#B22222">   Since the PETSc libraries incorporate timing of phases and operations, </font>
<a name="line30"> 30: </a><font color="#B22222">   <A href="../../../docs/manualpages/Sys/PetscGetTime.html#PetscGetTime">PetscGetTime</A>() is intended only for timing of application codes.  </font>
<a name="line31"> 31: </a><font color="#B22222">   The options database commands -log, -log_summary, and -log_all activate</font>
<a name="line32"> 32: </a><font color="#B22222">   PETSc library timing.  See the users manual for further details.</font>

<a name="line34"> 34: </a><font color="#B22222">   Level: intermediate</font>

<a name="line37"> 37: </a><font color="#B22222">          <A href="../../../docs/manualpages/Profiling/PetscLogStagePop.html#PetscLogStagePop">PetscLogStagePop</A>(), <A href="../../../docs/manualpages/Profiling/PetscLogStageRegister.html#PetscLogStageRegister">PetscLogStageRegister</A>(), <A href="../../../docs/manualpages/Profiling/PetscGetFlops.html#PetscGetFlops">PetscGetFlops</A>()</font>

<a name="line39"> 39: </a><font color="#B22222">.keywords:  get, time</font>
<a name="line40"> 40: </a><font color="#B22222">@*/</font>
<a name="line41"> 41: </a><strong><font color="#4169E1"><a name="PetscGetTime"></a><A href="../../../docs/manualpages/Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A>  <A href="../../../docs/manualpages/Sys/PetscGetTime.html#PetscGetTime">PetscGetTime</A>(PetscLogDouble *t)</font></strong>
<a name="line42"> 42: </a>{
<a name="line44"> 44: </a>  PetscTime(*t);
<a name="line45"> 45: </a>  <font color="#4169E1">return</font>(0);
<a name="line46"> 46: </a>}

</pre>
</body>

</html>
